Endpoint
GET https://api.stepfun.ai/v1/models
Request parameters
None.Response
Returns a list of Model objects.Example
- python
- js
- curl
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
🎉 New model Step 3.7 Flash is now live — a high-efficiency Flash model for real-world Agent / Coding / multimodal workflows. Learn more →
GET https://api.stepfun.ai/v1/models
from openai import OpenAI
client = OpenAI(api_key="STEP_API_KEY", base_url="https://api.stepfun.ai/v1")
print(client.models.list())
import OpenAI from "openai";
const openai = new OpenAI({
apiKey: "STEP_API_KEY",
baseURL: "https://api.stepfun.ai/v1"
});
async function main() {
const list = await openai.models.list();
for await (const model of list) {
console.log(model);
}
}
main();
curl https://api.stepfun.ai/v1/models \
-H "Authorization: Bearer $STEP_API_KEY"
{
"object": "list",
"data": [
{
"id": "step-tts-2",
"object": "model",
"created": 1720080000,
"owned_by": "stepai"
}
]
}
Was this page helpful?